Skip to main content
GET
Search News

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Scopes

tweet.read

View all Posts you can see, including those from protected accounts.

users.read

View any account you can see, including protected accounts.

Query Parameters

query
string
required

The search query.

Required string length: 1 - 2048
Example:

"crypto"

max_results
integer<int32>
default:10

The number of results to return.

Required range: 1 <= x <= 100
max_age_hours
integer<int32>
default:168

The maximum age of the News story to search for.

Required range: 1 <= x <= 720
news.fields
enum<string>[]

A comma separated list of News fields to display. The fields available for a News object.

Minimum array length: 1
Available options:
category,
cluster_posts_results,
contexts,
disclaimer,
hook,
id,
keywords,
name,
summary,
updated_at
Example:

Response

The request has succeeded.

data
object[]
Minimum array length: 1
errors
object[]
Minimum array length: 1

An HTTP Problem Details object, as defined in IETF RFC 7807 (https://tools.ietf.org/html/rfc7807).

meta
object